CREATE TABLE Clientes_Links (
	Id_Link					INT IDENTITY(1,1),
	Url						VARCHAR(MAX),
	Id_Cliente				INT,
	Fecha_Gen				DATETIME,
	Fecha_Ult_Uso			DATETIME,
	Cant_Usos_Permitidos	INT,
	Cant_Usos_Realizados	INT,
	Mail					VARCHAR(MAX),
	Token					VARCHAR(100),
	Nota					TEXT,
	CONSTRAINT PK_Clil_PorId PRIMARY KEY CLUSTERED (Id_Link)
)
GO

CREATE INDEX IX_Clil_PorCli ON Clientes_Links (Id_Cliente,Fecha_Gen)
GO

ALTER TABLE Clientes_Links ADD  CONSTRAINT FK_Clil_Clientes FOREIGN KEY (Id_Cliente)
	REFERENCES Clientes (Id_Cliente)
GO


